
QGIS Application - Bug report #20218

[geometry validation] settings active only after project restart

2018-10-26 12:00 AM - Jan Lippmann

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28039

Description

geometry validation settings in the layer properties only active after project restart.

settings should be active after click ok in the layer properties.
Associated revisions

Revision 5bc588e4 - 2018-11-02 11:30 AM - Matthias Kuhn 

Activate geometry checks when changing layer properties

No longer requires a reload of the project

Fix #20218

https://issues.qgis.org/issues/20218

Revision fe6594e3 - 2018-11-02 01:30 PM - Matthias Kuhn 

Activate geometry checks when changing layer properties

No longer requires a reload of the project

Fix #20218

https://issues.qgis.org/issues/20218

History

#1 - 2018-10-27 07:31 PM - Giovanni Manghi

- Affected QGIS version changed from 3.3(master) to 3.4.0

Confirmed on 3.4.

Also what bothers me a lot (if I understand correctly how this new very important functionality works) is the fact that to trigger the validity/topology checks is

necessary to actually made some change in the geometry, is not enough to focus with the node tool on them.
#2 - 2018-11-02 11:31 AM - Matthias Kuhn

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 3.4.0 to 3.5(master)

- Status changed from Open to In Progress

Pull request pending https://github.com/qgis/QGIS/pull/8402

#3 - 2018-11-02 01:29 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|5bc588e4dfd35d755030b16c62fa61436200ea20.
